Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 621731 - [abrt] crash in gourmet-0.15.4-1.fc12: reccard.py:2083:commit_iter:KeyError: 'ingkey'
[abrt] crash in gourmet-0.15.4-1.fc12: reccard.py:2083:commit_iter:KeyError: ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gourmet (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
abrt_hash:f6248aad
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-05 19:38 EDT by Joseph O Morrow
Modified: 2010-12-03 07:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 07:56:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.67 KB, text/plain)
2010-08-05 19:38 EDT, Joseph O Morrow
no flags Details

  None (edit)
Description Joseph O Morrow 2010-08-05 19:38:24 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/gourmet
comment: Unknown cause
component: gourmet
executable: /usr/bin/gourmet
kernel: 2.6.32.16-150.fc12.i686.PAE
package: gourmet-0.15.4-1.fc12
reason: reccard.py:2083:commit_iter:KeyError: 'ingkey'
release: Fedora release 12 (Constantine)

backtrace
-----
reccard.py:2083:commit_iter:KeyError: 'ingkey'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gourmet/reccard.py", line 1049, in close_cb
    self.save_cb()
  File "/usr/lib/python2.6/site-packages/gourmet/reccard.py", line 1019, in save_cb
    newdict = m.save(newdict)
  File "/usr/lib/python2.6/site-packages/gourmet/reccard.py", line 1216, in save
    self.ingtree_ui.ingController.commit_ingredients()
  File "/usr/lib/python2.6/site-packages/gourmet/reccard.py", line 2112, in commit_ingredients
    n = commit_iter(iter,n)
  File "/usr/lib/python2.6/site-packages/gourmet/reccard.py", line 2083, in commit_iter
    if getattr(ing,att)==d[att]: del d[att]
KeyError: 'ingkey'

Local variables in innermost frame:
group: None
d: {'inggroup': None, 'position': 13, 'optional': False}
deleted: [(165, 19, None, None, None, None, u'', None, False, None, None, 13, False), (166, 19, None, None, 5.0, None, u'tbl rice wine viegar', u'tbl rice wine viegar', False, None, None, 14, False), (167, 19, None, None, 5.0, None, u'tbl granulated sugar', u'tbl granulated sugar', False, None, None, 15, False), (168, 19, None, None, None, None, u'zest of one orange', u'zest of one orange', False, None, None, 16, False), (169, 19, None, None, None, None, u'juice of two oranges', u'juice of two oranges', False, None, None, 17, False), (164, 19, None, None, 5.0, None, u'tbls soy sauce', u'tbls soy sauce', False, None, None, 18, False)]
self: <gourmet.reccard.IngredientController instance at 0xc575d8c>
pos: 13
iter: <GtkTreeIter at 0xc8481b0>
att: 'ingkey'
commit_iter: <function commit_iter at 0xc56db54>
ing: (165, 19, None, None, None, None, u'', None, False, None, None, 13, False)
Comment 1 Joseph O Morrow 2010-08-05 19:38:28 EDT
Created attachment 437001 [details]
File: backtrace
Comment 2 Joseph O Morrow 2010-09-06 14:35:43 EDT
Package: gourmet-0.15.4-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Open recipe
2. Edit description - change title
3. Click "save changes" icon - change not saved
Comment 3 Joseph O Morrow 2010-09-19 00:54:47 EDT
Package: gourmet-0.15.4-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


Comment
-----
Unknown cause
Comment 4 Joseph O Morrow 2010-09-22 08:31:43 EDT
Package: gourmet-0.15.4-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.WHILE ADDING LAST INGREDIENT TO RECIPE INGREDIENT SECTION
2.FORGOT TO ADD BEFORE SAVING
3.WENT BACK INTO INGREDIENT SECTION TO TRY TO ADD AND SAVE A SECOND TIME 
AND WHILE DOING THAT GOURMET CRASHED.

Comment
-----
THIS HAPPENS OFTEN WHEN I COMPLETE ENTERING MANY RECIPIES AND SOMETIME LATER
THE ENTIRE RECIPE VANISHES THEN GOURMET WON'T LET ME CONTINUE. THANKS
Comment 5 Joseph O Morrow 2010-09-24 01:45:39 EDT
Package: gourmet-0.15.4-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.while editing description and trying to save my additions gourmet crashed.  ????
2.
3.
Comment 6 Joseph O Morrow 2010-09-24 02:40:28 EDT
Package: gourmet-0.15.4-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.GOURMET WON'T ACCEPT PICTURE TO ADD TO RECIPE, TRIED ADDING TWICE CRASHED ANYWAY
2.
3.
Comment 7 Joseph O Morrow 2010-09-25 00:58:00 EDT
Package: gourmet-0.15.4-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.editing in the edit description adding a picture to an old recipe gourmet crashed
2.
3.
Comment 8 Joseph O Morrow 2010-09-26 01:37:46 EDT
Package: gourmet-0.15.4-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.while in the description edit section trying to put in a picture of the recipe
2.
3.
Comment 9 Joseph O Morrow 2010-10-03 18:06:55 EDT
Package: gourmet-0.15.4-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.this particular recipe keeps crashing again while adding a picture to it even after retyping in the recipe two or three times.
2.
3.
Comment 10 Bug Zapper 2010-11-03 07:13:10 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-12-03 07:56:10 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.